# FieldMultiplyBattleStatAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FieldMultiplyBattleStatAbAttr

Multiplies a BattleStat if the checked Pokemon lacks this ability. If this ability cannot stack, a BooleanHolder can be used to prevent this from stacking.

#### See

- applyFieldBattleStatMultiplierAbAttrs
- applyFieldBattleStat
- Utils.BooleanHolder

#### Hierarchy (view full)

- AbAttr
  - FieldMultiplyBattleStatAbAttr

- Defined in src/data/ability.ts:1121

#####
Index

### Constructors

constructor

### Properties

canStack
multiplier
showAbility
stat

### Methods

addCondition
apply
applyFieldBattleStat
getCondition
getTriggerMessage

## Constructors

### constructor

- new FieldMultiplyBattleStatAbAttr(stat, multiplier, canStack?): FieldMultiplyBattleStatAbAttr

- #### Parameters

  - stat: Stat
  - multiplier: number
  - canStack: boolean = false

  #### Returns FieldMultiplyBattleStatAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1126

## Properties

### `Private` canStack

canStack: boolean

- Defined in src/data/ability.ts:1124

### `Private` multiplier

multiplier: number

- Defined in src/data/ability.ts:1123

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:128

### `Private` stat

stat: Stat

- Defined in src/data/ability.ts:1122

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:135

### applyFieldBattleStat

- applyFieldBattleStat(pokemon, passive, stat, statValue, checkedPokemon, hasApplied, args): boolean

- applyFieldBattleStat: Tries to multiply a Pokemon's BattleStat

  #### Parameters

  - pokemon: default

    `Pokemon` the Pokemon using this ability

  - passive: boolean

    boolean unused

  - stat: Stat

    `Stat` the type of the checked stat

  - statValue: NumberHolder

    `Utils.NumberHolder` the value of the checked stat

  - checkedPokemon: default

    `Pokemon` the Pokemon this ability is targeting

  - hasApplied: BooleanHolder

    `Utils.BooleanHolder` whether or not another multiplier has been applied to this stat

  - args: any[]

    {any[]} unused

  #### Returns boolean

  true if this changed the checked stat, false otherwise.

  - Defined in src/data/ability.ts:1145

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139